<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>executeProbing &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>executeProbing
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">47 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/probes.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/probes.f03.html'>probes.f03</a></li>
    
     <li><a href='../module/probes.html'>probes</a></li>
    
  
     <li class="active">executeProbing</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine executeProbing(this)
    
    
   
</h2>
    
  


    
    <p>executeProbing runs the post processing task for the target probing object.</p>
<p>probeValue = neighToProbe(fieldRegistry(targetField)%field, probe)</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E361"></span>class(<a href='../type/probeobj.html'>probeObj</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~executeprobing~~CallsGraph Pages: 1 -->
<svg id="procexecuteprobingCallsGraph" width="451pt" height="227pt"
 viewBox="0.00 0.00 451.00 227.43" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~executeprobing~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 223.4294)">
<title>proc~~executeprobing~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-223.4294 447,-223.4294 447,4 -4,4"/>
<!-- proc~executeprobing -->
<g id="proc~~executeprobing~~CallsGraph_node1" class="node">
<title>proc~executeprobing</title>
<polygon fill="none" stroke="#000000" points="86,-114.4294 0,-114.4294 0,-90.4294 86,-90.4294 86,-114.4294"/>
<text text-anchor="middle" x="43" y="-100.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">executeProbing</text>
</g>
<!-- proc~nearestneighbourcell -->
<g id="proc~~executeprobing~~CallsGraph_node2" class="node">
<title>proc~nearestneighbourcell</title>
<g id="a_proc~~executeprobing~~CallsGraph_node2"><a xlink:href=".././proc/nearestneighbourcell.html" xlink:title="nearestNeighbourCell">
<polygon fill="#d94e8f" stroke="#d94e8f" points="237,-219.4294 122,-219.4294 122,-195.4294 237,-195.4294 237,-219.4294"/>
<text text-anchor="middle" x="179.5" y="-205.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">nearestNeighbourCell</text>
</a>
</g>
</g>
<!-- proc~executeprobing&#45;&gt;proc~nearestneighbourcell -->
<g id="proc~~executeprobing~~CallsGraph_edge1" class="edge">
<title>proc~executeprobing&#45;&gt;proc~nearestneighbourcell</title>
<path fill="none" stroke="#000000" d="M51.5803,-114.6967C64.7853,-132.7476 91.7525,-166.4772 122,-186.4294 124.5353,-188.1017 127.2211,-189.6624 129.9922,-191.1155"/>
<polygon fill="#000000" stroke="#000000" points="128.5163,-194.2891 139.0533,-195.3952 131.5059,-187.9596 128.5163,-194.2891"/>
</g>
<!-- proc~facetoprobe -->
<g id="proc~~executeprobing~~CallsGraph_node3" class="node">
<title>proc~facetoprobe</title>
<g id="a_proc~~executeprobing~~CallsGraph_node3"><a xlink:href=".././proc/facetoprobe.html" xlink:title="faceToProbe">
<polygon fill="#d94e8f" stroke="#d94e8f" points="216,-177.4294 143,-177.4294 143,-153.4294 216,-153.4294 216,-177.4294"/>
<text text-anchor="middle" x="179.5" y="-163.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">faceToProbe</text>
</a>
</g>
</g>
<!-- proc~executeprobing&#45;&gt;proc~facetoprobe -->
<g id="proc~~executeprobing~~CallsGraph_edge2" class="edge">
<title>proc~executeprobing&#45;&gt;proc~facetoprobe</title>
<path fill="none" stroke="#000000" d="M63.7302,-114.4678C79.4401,-123.339 101.7128,-135.3842 122,-144.4294 126.0964,-146.2558 130.4049,-148.0508 134.7443,-149.775"/>
<polygon fill="#000000" stroke="#000000" points="133.6327,-153.0974 144.2226,-153.4215 136.1462,-146.5642 133.6327,-153.0974"/>
</g>
<!-- fieldregistry -->
<g id="proc~~executeprobing~~CallsGraph_node4" class="node">
<title>fieldregistry</title>
<polygon fill="#777777" stroke="#777777" points="213,-135.4294 146,-135.4294 146,-111.4294 213,-111.4294 213,-135.4294"/>
<text text-anchor="middle" x="179.5" y="-121.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fieldregistry</text>
</g>
<!-- proc~executeprobing&#45;&gt;fieldregistry -->
<g id="proc~~executeprobing~~CallsGraph_edge3" class="edge">
<title>proc~executeprobing&#45;&gt;fieldregistry</title>
<path fill="none" stroke="#000000" d="M86.1895,-109.0739C101.951,-111.4988 119.7832,-114.2422 135.6055,-116.6764"/>
<polygon fill="#000000" stroke="#000000" points="135.2548,-120.1635 145.6708,-118.2249 136.3193,-113.2449 135.2548,-120.1635"/>
</g>
<!-- mpi_reduce -->
<g id="proc~~executeprobing~~CallsGraph_node5" class="node">
<title>mpi_reduce</title>
<polygon fill="#777777" stroke="#777777" points="213.5,-93.4294 145.5,-93.4294 145.5,-69.4294 213.5,-69.4294 213.5,-93.4294"/>
<text text-anchor="middle" x="179.5" y="-79.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi_reduce</text>
</g>
<!-- proc~executeprobing&#45;&gt;mpi_reduce -->
<g id="proc~~executeprobing~~CallsGraph_edge4" class="edge">
<title>proc~executeprobing&#45;&gt;mpi_reduce</title>
<path fill="none" stroke="#000000" d="M86.1895,-95.7849C101.8228,-93.3797 119.4934,-90.6612 135.2192,-88.2418"/>
<polygon fill="#000000" stroke="#000000" points="135.88,-91.6814 145.2315,-86.7015 134.8155,-84.7628 135.88,-91.6814"/>
</g>
<!-- proc~checkprobe -->
<g id="proc~~executeprobing~~CallsGraph_node6" class="node">
<title>proc~checkprobe</title>
<g id="a_proc~~executeprobing~~CallsGraph_node6"><a xlink:href=".././proc/checkprobe.html" xlink:title="checkProbe">
<polygon fill="#d9534f" stroke="#d9534f" points="214,-51.4294 145,-51.4294 145,-27.4294 214,-27.4294 214,-51.4294"/>
<text text-anchor="middle" x="179.5" y="-37.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">checkProbe</text>
</a>
</g>
</g>
<!-- proc~executeprobing&#45;&gt;proc~checkprobe -->
<g id="proc~~executeprobing~~CallsGraph_edge5" class="edge">
<title>proc~executeprobing&#45;&gt;proc~checkprobe</title>
<path fill="none" stroke="#000000" d="M63.7302,-90.391C79.4401,-81.5198 101.7128,-69.4746 122,-60.4294 126.3224,-58.5022 130.8809,-56.6101 135.4626,-54.7991"/>
<polygon fill="#000000" stroke="#000000" points="136.745,-58.0559 144.8315,-51.2105 134.2412,-51.519 136.745,-58.0559"/>
</g>
<!-- flubiostopmsg -->
<g id="proc~~executeprobing~~CallsGraph_node7" class="node">
<title>flubiostopmsg</title>
<polygon fill="#777777" stroke="#777777" points="397.5,-31.4294 318.5,-31.4294 318.5,-7.4294 397.5,-7.4294 397.5,-31.4294"/>
<text text-anchor="middle" x="358" y="-17.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostopmsg</text>
</g>
<!-- proc~executeprobing&#45;&gt;flubiostopmsg -->
<g id="proc~~executeprobing~~CallsGraph_edge6" class="edge">
<title>proc~executeprobing&#45;&gt;flubiostopmsg</title>
<path fill="none" stroke="#000000" d="M49.8232,-90.3367C61.6046,-70.8528 87.8206,-33.2049 122,-18.4294 182.0405,7.5257 258.9755,.7201 308.3845,-8.08"/>
<polygon fill="#000000" stroke="#000000" points="308.0201,-11.5726 318.4941,-9.977 309.3111,-4.6927 308.0201,-11.5726"/>
</g>
<!-- kdtree2_n_nearest_around_point -->
<g id="proc~~executeprobing~~CallsGraph_node8" class="node">
<title>kdtree2_n_nearest_around_point</title>
<polygon fill="#777777" stroke="#777777" points="443,-198.4294 273,-198.4294 273,-174.4294 443,-174.4294 443,-198.4294"/>
<text text-anchor="middle" x="358" y="-184.0294" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kdtree2_n_nearest_around_point</text>
</g>
<!-- proc~nearestneighbourcell&#45;&gt;kdtree2_n_nearest_around_point -->
<g id="proc~~executeprobing~~CallsGraph_edge7" class="edge">
<title>proc~nearestneighbourcell&#45;&gt;kdtree2_n_nearest_around_point</title>
<path fill="none" stroke="#000000" d="M237.4538,-200.6113C245.5754,-199.6558 254.0929,-198.6538 262.6858,-197.6428"/>
<polygon fill="#000000" stroke="#000000" points="263.2658,-201.0988 272.7884,-196.4543 262.4479,-194.1468 263.2658,-201.0988"/>
</g>
<!-- proc~facetoprobe&#45;&gt;kdtree2_n_nearest_around_point -->
<g id="proc~~executeprobing~~CallsGraph_edge8" class="edge">
<title>proc~facetoprobe&#45;&gt;kdtree2_n_nearest_around_point</title>
<path fill="none" stroke="#000000" d="M216.0529,-169.7297C229.7364,-171.3396 245.9947,-173.2523 262.539,-175.1987"/>
<polygon fill="#000000" stroke="#000000" points="262.5162,-178.7201 272.8567,-176.4125 263.3342,-171.768 262.5162,-178.7201"/>
</g>
<!-- proc~checkprobe&#45;&gt;flubiostopmsg -->
<g id="proc~~executeprobing~~CallsGraph_edge9" class="edge">
<title>proc~checkprobe&#45;&gt;flubiostopmsg</title>
<path fill="none" stroke="#000000" d="M214.3403,-35.5257C241.0231,-32.5361 278.198,-28.3708 308.0461,-25.0265"/>
<polygon fill="#000000" stroke="#000000" points="308.721,-28.4729 318.269,-23.881 307.9415,-21.5164 308.721,-28.4729"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>